楼主: fjzidane
14130 12

[讨论交流] 【Python求助】求助解决pip安装ta-lib等C拓展模块的错误 [分享]

  • 0关注
  • 0粉丝

高中生

17%

还不是VIP/贵宾

-

威望
0
论坛币
5 个
通用积分
0
学术水平
0 点
热心指数
0 点
信用等级
0 点
经验
153 点
帖子
3
精华
0
在线时间
43 小时
注册时间
2009-11-7
最后登录
2018-1-10

fjzidane 发表于 2015-12-27 12:59:27 |显示全部楼层
最近想用pip安装(pip install)一些如ta-lib,zipline等C拓展模块,但是发现各种错误无法安装……
首先是出现错误microsoft visual c++ 10.0 is required (unable to find vcvarsall.bat)
而后我安装了microsoft visual c++ 10.0,再安装模块是出现:ValueError:['path']
尝试各种方法仍然无解,所以请求各位大神出手相救。
本人的系统是win8.1 x64, python 3.4
最近急用,如果有人愿意远程操控电脑帮忙解决问题最好(本人目前在香港),如若解决定给酬金,有意者请加QQ四四二五八三八四三,验证请写人大经济论坛。谢谢。

关键词:python lib Microsoft required require microsoft required python visual 香港

stata SPSS
vtmc 发表于 2015-12-28 13:01:27 |显示全部楼层
我不清楚下面这个能否解决你的问题。我是在安装TA-Lib的时候,从官网talib org下载的怎么都不能装,用anaconda装也不行。最后是从这个帖子,发现好像官网的是32位,我们要下64位的:
http://stackoverflow.com/questions/28103010/error-installing-ta-lib-for-anaconda
找到这个link:
http://www.lfd.uci.edu/~gohlke/pythonlibs/
从那边下载的这个:
TA_Lib-0.4.9-cp35-none-win_amd64.whl
然后我是在windows的cmd里面pip install TA_Lib-0.4.9-cp35-none-win_amd64.whl这样解决的。
btw我的环境是64位的win10,直接安装的Anaconda(python3.x)。

如果你的python环境没有说很复杂,我建议试试看Anaconda,他们打包挺完备的。

我在两个帖子都回,希望能有帮助。加油。
回复

使用道具 举报

ihqq 发表于 2016-12-7 17:10:28 |显示全部楼层
安装成功了么?
回复

使用道具 举报

lyqbnu 发表于 2016-12-8 16:24:37 |显示全部楼层
装轮子啊,二楼正解。或者用anaconda安装,zipline区有这个包。
回复

使用道具 举报

dfcs008 发表于 2017-3-23 09:59:00 |显示全部楼层
2楼正解  十分感谢
回复

使用道具 举报

61849972 发表于 2017-6-5 01:39:10 |显示全部楼层
vtmc 发表于 2015-12-28 13:01
我不清楚下面这个能否解决你的问题。我是在安装TA-Lib的时候,从官网talib org下载的怎么都不能装,用anaco ...
我是一个新手,TA_Lib-0.4.9-cp35-none-win_amd64.whl这个东西我下载了,在WINDOWS的CMD中,直接pip install TA_Lib-0.4.9-cp35-none-win_amd64.whl,直接就报错了,请教一下 这一步详细一点的操作,感激不尽!
回复

使用道具 举报

tuotuo0113 发表于 2017-6-11 22:53:01 |显示全部楼层
61849972 发表于 2017-6-5 01:39
我是一个新手,TA_Lib-0.4.9-cp35-none-win_amd64.whl这个东西我下载了,在WINDOWS的CMD中,直接pip inst ...
有几个可能:下载的.whl文件放在默认目录下,如果装了anaconda没有改过应该是C:\Users\***\这个目录。
回复

使用道具 举报

tuotuo0113 发表于 2017-6-11 22:59:53 |显示全部楼层
61849972 发表于 2017-6-5 01:39
我是一个新手,TA_Lib-0.4.9-cp35-none-win_amd64.whl这个东西我下载了,在WINDOWS的CMD中,直接pip inst ...
有几个可能:
1 .whl文件没放到默认目录下
2 .whl文件和python版本没对应,最新的python是3.6,64位对应的是这个TA_Lib-0.4.10-cp36-cp36m-win_amd64.whl
3 看你的描述好像直接运行了楼主的命令?比如python3.6,64位,根据下载下的文件命令应该改成pip install TA_Lib-0.4.10-cp36-cp36m-win_amd64.whl
回复

使用道具 举报

jasontung 发表于 2017-7-12 09:50:24 |显示全部楼层
talib 安装要改配置里面的目录,其他几个都没达到点子上
回复

使用道具 举报

chaocong1995 学生认证  发表于 2017-8-8 13:56:37 |显示全部楼层
二楼正解
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 我要注册

京ICP备16021002-2号 京B2-20170662号 京公网安备 11010802022788号 论坛法律顾问:王进律师 知识产权保护声明   免责及隐私声明

GMT+8, 2019-11-21 04:47